﻿/* FIELDS */

var JUNK_PRE_PEND_DATE = 'January 01, 2001';

var CLASS_UI_STATE_DEFAULT = 'ui-state-default';
var CLASS_UI_STATE_HIGHLIGHT = 'ui-state-highlight';



/* END FIELDS */

///<summary>
///  Compares two time strings that don't have a date.
///</summary 
function compareTimesFirstLater(firstTime, secondTime) {
  var convertedFirst = Date.parse(JUNK_PRE_PEND_DATE + ' ' + firstTime);
  var convertedSecond = Date.parse(JUNK_PRE_PEND_DATE + ' ' + secondTime);
  return convertedFirst > convertedSecond || convertedFirst == convertedSecond;
}

///<summary>
///  Compares two full dates.
///</summary
function compareFullDatesFirstLater(firstDate, secondDate) {
  var convertedFirst = Date.parse(firstDate);
  var convertedSecond = Date.parse(secondDate);
  return convertedFirst > convertedSecond || convertedFirst == convertedSecond;
}

///<summary>
///  This will merge a date without a time and a time without a date.
///</summary
function compressDateAndTime(date, time) {
  var timeConverted = new Date(JUNK_PRE_PEND_DATE + ' ' + time);
  var date = new Date(date.getFullYear(), date.getMonth(), date.getDate(), timeConverted.getHours(), timeConverted.getMinutes(), timeConverted.getSeconds(), timeConverted.getMilliseconds());
  return date;
}

///<summary>
///  Creates a simple div just for holding the clear:both class.
///</summary 
function createClearDiv() {
  var clearDiv = document.createElement('div');
  jQuery(clearDiv).addClass('clear');

  return clearDiv;
}

///<summary>
///  Checks to see if the unit less than ten then pre pads with a 0 if so.
///</summary 
function formatTimeUnit(unit) {
  return unit < 10 ? '0' + unit : unit;
}

///<summary>
///  Redirects to the given page string.
///</summary 
function fullRedirect(redirectTo) {
  window.location = redirectTo;
}

///<summary>
///  Cheater method to remove code to switch a button's class from default to highlight
///</summary 
function highlightButton(buttonName) {
  swapClassesForced(buttonName, CLASS_UI_STATE_DEFAULT, CLASS_UI_STATE_HIGHLIGHT);
}

///<summary>
///  If the current element contains the class to remove, it will swap the remove with the add.
///</summary
function swapClasses(element, classToRemove, classToAdd) {
  if (jQuery(element).hasClass(classToRemove)) {
    jQuery(element).removeClass(classToRemove);
    jQuery(element).addClass(classToAdd);
  }
}

///<summary>
///  This will force a remove of the classToRemove and add the classToAdd, regardless if the classToRemove
///   exists.
///</summary
function swapClassesForced(element, classToRemove, classToAdd) {
  if (jQuery(element).hasClass(classToRemove)) {
    jQuery(element).removeClass(classToRemove);
  }
  jQuery(element).addClass(classToAdd);
}

/* END MAIN STARTUP METHOD */

